PDF

# Class: lamPDF

Source Location: /lib/lamPDF.inc

### Class Overview

    FPDF
       |
       --UFPDF
          |
          --lamPDF

Creates a LAM information page in PDF format.

#### Author(s):

- Michael Duergner

### Methods

- __construct
- footer
- header

### Inherited Variables

#### Class: FPDF

FPDF::$AliasNbPages
FPDF::$author
FPDF::$AutoPageBreak
FPDF::$bMargin
FPDF::$buffer
FPDF::$cMargin
FPDF::$ColorFlag
FPDF::$compress
FPDF::$CoreFonts
FPDF::$creator
FPDF::$CurOrientation
FPDF::$CurPageFormat
FPDF::$CurrentFont
FPDF::$DefOrientation
FPDF::$DefPageFormat
FPDF::$diffs
FPDF::$DrawColor
FPDF::$FillColor
FPDF::$FontFamily
FPDF::$FontFiles
FPDF::$fonts
FPDF::$FontSize
FPDF::$FontSizePt
FPDF::$FontStyle
FPDF::$h
FPDF::$hPt
FPDF::$images
FPDF::$InFooter
FPDF::$InHeader
FPDF::$k
FPDF::$keywords
FPDF::$lasth
FPDF::$LayoutMode
FPDF::$LineWidth
FPDF::$links
FPDF::$lMargin
FPDF::$n
FPDF::$offsets
FPDF::$page
FPDF::$PageBreakTrigger
FPDF::$PageFormats
FPDF::$PageLinks
FPDF::$pages
FPDF::$PageSizes
FPDF::$PDFVersion
FPDF::$rMargin
FPDF::$state
FPDF::$subject
FPDF::$TextColor
FPDF::$title
FPDF::$tMargin
FPDF::$underline
FPDF::$w
FPDF::$wPt
FPDF::$ws
FPDF::$x
FPDF::$y
FPDF::$ZoomMode

### Inherited Methods

#### Class: UFPDF

UFPDF::UFPDF()
  *****************************************************************************
UFPDF::AcceptPageBreak()
UFPDF::AddFont()
UFPDF::AliasNbPages()
UFPDF::Cell()
UFPDF::code2utf()
UFPDF::GetStringWidth()
UFPDF::MultiCell()
UFPDF::strlen()
UFPDF::Text()
UFPDF::utf8_substr()
UFPDF::utf8_to_codepoints()
UFPDF::utf8_to_utf16be()
UFPDF::Write()
UFPDF::_dounderline()
UFPDF::_escapetext()
UFPDF::_putinfo()
UFPDF::_putpages()
UFPDF::_puttruetypeunicode()
  *****************************************************************************
UFPDF::_textstring()

#### Class: FPDF

FPDF::FPDF()
  *****************************************************************************
FPDF::AcceptPageBreak()
FPDF::AddFont()
FPDF::AddLink()
FPDF::AddPage()
FPDF::AliasNbPages()
FPDF::Cell()
FPDF::Close()
FPDF::Error()
FPDF::Footer()
FPDF::GetStringWidth()
FPDF::GetX()
FPDF::GetY()
FPDF::Header()
FPDF::Image()
FPDF::Line()
FPDF::Link()
FPDF::Ln()
FPDF::MultiCell()
FPDF::Open()
FPDF::Output()
FPDF::PageNo()
FPDF::Rect()
FPDF::SetAuthor()
FPDF::SetAutoPageBreak()
FPDF::SetCompression()
FPDF::SetCreator()
FPDF::SetDisplayMode()
FPDF::SetDrawColor()
FPDF::SetFillColor()
FPDF::SetFont()
FPDF::SetFontSize()
FPDF::SetKeywords()
FPDF::SetLeftMargin()
FPDF::SetLineWidth()
FPDF::SetLink()
FPDF::SetMargins()
FPDF::SetRightMargin()
FPDF::SetSubject()
FPDF::SetTextColor()
FPDF::SetTitle()
FPDF::SetTopMargin()
FPDF::SetX()
FPDF::SetXY()
FPDF::SetY()
FPDF::Text()
FPDF::Write()
FPDF::_beginpage()
FPDF::_dochecks()
  *****************************************************************************
FPDF::_dounderline()
FPDF::_enddoc()
FPDF::_endpage()
FPDF::_escape()
FPDF::_getfontpath()
FPDF::_getpageformat()
FPDF::_newobj()
FPDF::_out()
FPDF::_parsegif()
FPDF::_parsejpg()
FPDF::_parsepng()
FPDF::_putcatalog()
FPDF::_putfonts()
FPDF::_putheader()
FPDF::_putimages()
FPDF::_putinfo()
FPDF::_putpages()
FPDF::_putresourcedict()
FPDF::_putresources()
FPDF::_putstream()
FPDF::_puttrailer()
FPDF::_putxobjectdict()
FPDF::_readint()
FPDF::_readstream()
FPDF::_textstring()
FPDF::_UTF8toUTF16()

### Class Details

[line 38]
Creates a LAM information page in PDF format.

#### Tags:

author: | Michael Duergner

[ Top ]

### Class Methods

### constructor __construct [line 64]

`lamPDF __construct( [array $page_definitions = array()], $fontName, string $account_type)`

#### Parameters:

string | $account_type |
array | $page_definitions |
| $fontName |

[ Top ]

### method footer [line 120]

`void footer( )`

[ Top ]

### method header [line 88]

`void header( )`

[ Top ]

Documentation generated on Thu, 28 Oct 2010 21:00:22 +0200 by phpDocumentor 1.4.1